import { request } from '@/utils/request.js';

//客户类型分布
export const customTypeAnalysis = (params) =>
  request({
    url: '/api/admin/tb/crm/analyse/custom/type',
    params,
  });

//月度派单分布及对比接口
export const monthDispatchAnalysis = (params) =>
  request({
    url: '/api/admin/tb/crm/analyse/monthly',
    params,
  });
//大区在执行派单排名接口
export const dispatchRankingAnalysis = (params) =>
  request({
    url: '/api/admin/tb/crm/analyse/region',
    params,
  });

//供应商派单分布接口
export const supplierDispatchAnalysis = (params) =>
  request({
    url: '/api/admin/tb/crm/analyse/supplier',
    params,
  });

//项目派单完成率接口
export const dispatchStatisticsAnalysis = (params) =>
  request({
    url: '/api/admin/tb/crm/analyse/project',
    params,
  });
